Subject: EG20T and Micrel KSZ9021 Gigabit Ethernet

From: James Kosin <[email-masked]>
Date: Fri, 5 Oct 2012 15:10:26 -0400

Anyone,

I'm using a Congatec QA6 Intel Atom board and need help getting the
onboard Micrel Ethernet PHY working correctly.
I've downloaded the latest stable kernel 3.5.5 from kernel.org, and
attempted to configure everything for the Debian platform I'm running
on.  Only problems are (1) the Ethernet PHY seems to be using pch_gbe
which seems to track back to an oki-semi directory under
drivers/net/ethernet ...
I'm tempted to reconfigure to remove that; but, am afraid that there is
no other driver for the network.  The only other set of drivers that
seem to be related are for the intel directory; but, these seem to be
intel specific.  I don't see support for this combination.

Anyone have an idea where I need to start?

PS:  Please reply to ALL when replying, I'm not a member of this list.

Thanks,
James